Name:           fuse-sshfs
Version:        1.6
Release:        2%{?dist}%{!?dist:.SL}
Summary:        FUSE-Filesystem to access remote filesystems via SSH

Group:          System Environment/Base
License:        GPL
URL:            http://fuse.sourceforge.net/sshfs.html
Packager:	Paul A. Rombouts <p.a.rombouts@home.nl>
Source0:        http://dl.sourceforge.net/sourceforge/fuse/sshfs-fuse-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       fuse >= 2.2
BuildRequires:  fuse-devel >= 2.2
BuildRequires:  glib2-devel >= 2.0

%description
This is a FUSE-filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set
up: i.e. on the server side there's nothing to do.  On the client side 
mounting the filesystem is as easy as logging into the server with ssh.

%prep
%setup -q -n sshfs-fuse-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/sshfs
%{_libdir}/sshnodelay.so

%changelog

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.6-2
- added missing sshnodelay.so

* Thu Mar 30 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.6-1
- Version 1.6

* Mon Feb 13 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.4-2
- small cosmetic fixes

* Mon Feb 13 2006 Peter Lemenkov <lemenkov@newmail.ru> - 1.4-1
- Version 1.4

* Thu Jan 12 2006 Paul A. Rombouts <p.a.rombouts@home.nl>
- Added patch to deal with minor compilation issue on 64-bit
  architectures.
- In case the dist macro is undefined, .SL is used.

* Tue Jan 03 2006 Paul A. Rombouts <p.a.rombouts@home.nl>
- Upgraded to version 1.3

* Wed Nov 23 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-3
- Use dist

* Fri Nov 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-2
- Update deps

* Fri Oct 28 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 1.2-1
- Initial RPM release.
